Back to overview/

PRECAUTIONARY RECALL OF 3+ AVALANCHE TRANSCEIVERS RUNNING SOFTWARE VERSION 2.1

Feedback from our SAFETY ACADEMY PARTNERS has revealed that, in some very rare situations, temporary disruption of the transmission function may occur on our 3+ avalanche transceivers running software version 2.1. This can lead to prolongation of the search process. The reason for the disruption is a software error.

There have been no known accidents caused by the software error. As a precautionary measure to ensure our customers are not at risk, we are recalling all 3+ transceivers running software version 2.1. Devices affected by the recall may no longer be used without the required software update.

This precautionary recall applies exclusively to ORTOVOX 3+ avalanche transceivers running software version 2.1.

3+ devices running software versions 1.0, 1.1, 2.0, 2.2 – no matter what color – and all other ORTOVOX avalanche transceivers (S1+, S1, ZOOM) are not affected.

All information HERE

Comments